<template>
  <div class="notice-detail-page">
    <div class="notice-detail-head">
      <el-row :gutter="20">
        <el-col :xs="12" :sm="8" :md="6" :lg="4" :xl="4" style="margin-bottom: 16px;"></el-col>
      </el-row>
      <div class="head-item">
        <label>主题：</label>
        <p></p>
      </div>
      <div class="head-item">
        <label>内容：</label>
        <p></p>
      </div>
      <div class="head-item">
        <label>发件时间：</label>
        <p></p>
      </div>
      <div class="head-item">
        <label>发送人：</label>
        <p></p>
      </div>
      <div class="head-item">
        <label>收件人：</label>
        <p></p>
      </div>
    </div>
    <component class="notice-content" :is="noticeInfo.u">
		</component>
  </div>
</template>

<script>
const requireComponent = require.context("../view", false, /\.vue/);
var comObj = {};
requireComponent.keys().forEach(fileName => {
  var names = fileName
    .split("/")
    .pop()
    .replace(".vue", "");
  const componentConfig = requireComponent(fileName);
  comObj[names] = componentConfig.default || componentConfig;
});
export default {
  components: comObj,
  data() {
    return{
      noticeInfo:{
        u:'b1-inspect-order-plan'
      },
    }
  }
}
</script>

<style scoped>
.notice-detail-page{
  padding-top: 16px;
}
.notice-detail-head{
  background: #fff;
  border-radius: 3px;
  box-sizing: border-box;
  padding: 16px;
}
.notice-detail-head{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
</style>
